Tool

The tool resource.

Basehttps://rest.carbon.ms/tool
GET/tool

List tools

Retrieve a paginated list of tools. Filter, order, and select columns with PostgREST query parameters.

Query parameters

selectstring

Comma-separated columns to return. Defaults to all.

orderstring

Column to sort by, e.g. `createdAt.desc`.

limitinteger

Maximum rows to return.

offsetinteger

Rows to skip, for pagination.

GEThttps://rest.carbon.ms/tool
curl --request GET \
  --url 'https://rest.carbon.ms/tool?select=*&limit=10' \
  --header 'Authorization: Bearer <api-key>'
Response
[
  {
    "id": "abc123def456",
    "companyId": "xyz789",
    "approved": true,
    "createdBy": "string",
    "createdAt": "2026-01-01T00:00:00Z",
    "approvedBy": "string",
    "customFields": "string",
    "updatedBy": "string"
  }
]
GET/tool

Retrieve a tool

Fetch a single tool by filtering on `id`.

Query parameters

idstring

Match on the tool's `id`, e.g. `eq.{id}`.

GEThttps://rest.carbon.ms/tool
curl --request GET \
  --url 'https://rest.carbon.ms/tool?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>'
Response
{
  "id": "abc123def456",
  "companyId": "xyz789",
  "approved": true,
  "createdBy": "string",
  "createdAt": "2026-01-01T00:00:00Z",
  "approvedBy": "string",
  "customFields": "string",
  "updatedBy": "string"
}
POST/tool

Create a tool

Create a new tool.

Body parameters

approvedbooleanrequired
approvedBystring

References user.id

customFieldsobject
tagsarray
POSThttps://rest.carbon.ms/tool
curl --request POST \
  --url https://rest.carbon.ms/tool \
  --header 'Authorization: Bearer <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'Prefer: return=representation' \
  --data '{"approved":true}'
Response
{
  "id": "abc123def456",
  "companyId": "xyz789",
  "approved": true,
  "createdBy": "string",
  "createdAt": "2026-01-01T00:00:00Z",
  "approvedBy": "string",
  "customFields": "string",
  "updatedBy": "string"
}
PATCH/tool

Update a tool

Update an existing tool, matched on `id`.

Body parameters

approvedbooleanrequired
approvedBystring

References user.id

customFieldsobject
tagsarray
PATCHhttps://rest.carbon.ms/tool
curl --request PATCH \
  --url 'https://rest.carbon.ms/tool?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'Prefer: return=representation' \
  --data '{"approved":true}'
Response
{
  "id": "abc123def456",
  "companyId": "xyz789",
  "approved": true,
  "createdBy": "string",
  "createdAt": "2026-01-01T00:00:00Z",
  "approvedBy": "string",
  "customFields": "string",
  "updatedBy": "string"
}
DELETE/tool

Delete a tool

Delete a tool, matched on `id`. Returns 204 No Content.

Query parameters

idstring

The `id` of the tool to delete, e.g. `eq.{id}`.

DELETEhttps://rest.carbon.ms/tool
curl --request DELETE \
  --url 'https://rest.carbon.ms/tool?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>'
204 No Content